Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Dantrell's GNOME Without Systemd Project (Part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 16, 17, 18, 19, 20  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Mon Apr 06, 2020 5:36 pm    Post subject: Reply with quote

Elleni wrote:
[...] Up and running 3.36 +1. Installation went smoothly thanks for the good work!

Good to hear. :wink:

Elleni wrote:
I had some minor issues but they are solved by deactivating all extensions and not using wayland.

The extensions part makes sense but I'm not sure Wayland should have broke? :?
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1073

PostPosted: Mon Apr 06, 2020 6:24 pm    Post subject: Reply with quote

Don't worry, I think that's on my side, I always used Xorg until know, and that still works fine. I tried a Wayland session but as soon as I try to resize windows, I am thrown back to gdm login. But also within plasma resizing windows with Wayland session does not work either. I maybe will investigate that later, but for now, I'll just not use it. I minor thing I realize is that the screen orientation in gdm is not the same as within the session. Left and right monitor are inverted.
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Wed Apr 08, 2020 9:10 pm    Post subject: Reply with quote

dantrell wrote:
I guess I'll review this since GNOME 3.34.5 and 3.36.1 officially shipped yesterday (ish) so the gap might be closed.

Currently reviewing all packages shared (on my end) between GNOME 3.34 and 3.36.

Stay tuned.

Elleni wrote:
I minor thing I realize is that the screen orientation in gdm is not the same as within the session. Left and right monitor are inverted.

I could be wrong (since I'm not currently using a multi monitor setup with GNOME) but this one seems to be by design (even if not by intention).

If I recall correctly, one way to "fix" it is by accounting for video port priority and moving the cables around accordingly. Basically you want your monitors to be processed correctly when you power on the system. You make your changes after the operating system loads (even if the operating systems numbers the monitors incorrectly).
_________________
Dantrell B.
Back to top
View user's profile Send private message
jasrn
n00b
n00b


Joined: 12 Mar 2020
Posts: 34

PostPosted: Wed Apr 08, 2020 11:47 pm    Post subject: Reply with quote

I've run into this too on Xorg with nvidia (Just on gnome in general, not specific to this overlay). The only way I've managed to resolve it is by logging in and correctly configuring my monitors, then copying that config to GDM (only had to do it once per install)

Code:
sudo cp ~/.config/monitors.xml /var/lib/gdm/.config/monitors.xml
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Thu Apr 09, 2020 6:48 am    Post subject: Reply with quote

dantrell wrote:
There's a couple 3.36.1 packages that I keyword masked since they don't build. :evil:

dantrell wrote:
Do note, however, that this change is only in effect for GNOME 3.34 and greater because I'm stacking up changes for the older release versions.

The build failures were corrected and the keyword masks removed.

I also stacked up enough changes for the older GNOME release versions so those are live as well.

dantrell wrote:
I guess I'll review this since GNOME 3.34.5 and 3.36.1 officially shipped yesterday (ish) so the gap might be closed.

dantrell wrote:
Currently reviewing all packages shared (on my end) between GNOME 3.34 and 3.36.

I reviewed these and the gap didn't really close at all (only ~2 packages out ~20 got GNOME 3.36 versions) but I decided to move things around anyway.

Those who want to be as lightweight as possible should now be able to drop the dantrell-gnome-3-34 overlay.

Cheers.

jasrn wrote:
I've run into this too on Xorg with nvidia (Just on gnome in general, not specific to this overlay). The only way I've managed to resolve it is by logging in and correctly configuring my monitors, then copying that config to GDM (only had to do it once per install)

I didn't even think to do it this way since other operating systems had the same issue and solving it on the hardware level before the software level seemed apt.

The more solutions the better though. :wink:
_________________
Dantrell B.
Back to top
View user's profile Send private message
jasrn
n00b
n00b


Joined: 12 Mar 2020
Posts: 34

PostPosted: Thu Apr 09, 2020 1:08 pm    Post subject: Reply with quote

Totally agree if you're booting multiple OSes (or even if you're just booting one and are less lazy than me). I figured my solution out mainly because I didn't want to have to crawl under my desk!
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 14

PostPosted: Fri Apr 10, 2020 7:32 am    Post subject: Reply with quote

unicode.org seems to have fallen over does anyone have a mirror of UCD.zip or can pull it from their distfiles for me?

Code:

>>> Emerging (1 of 160) app-i18n/unicode-data-13.0.0::dantrell-gnome
 * Fetching files in the background.
 * To view fetch progress, run in another terminal:
 * tail -f /var/log/emerge-fetch.log
>>> Downloading 'http://mirrors.evowise.com/gentoo/distfiles/cb/unicode-data-13.0.0-UCD.zip'
--2020-04-10 03:20:30--  http://mirrors.evowise.com/gentoo/distfiles/cb/unicode-data-13.0.0-UCD.zip
Resolving mirrors.evowise.com... 104.23.128.5, 104.23.132.4, 2606:4700:11::6817:8404, ...
Connecting to mirrors.evowise.com|104.23.128.5|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-04-10 03:20:30 ERROR 404: Not Found.

>>> Downloading 'https://mirrors.evowise.com/gentoo/distfiles/cb/unicode-data-13.0.0-UCD.zip'
--2020-04-10 03:20:30--  https://mirrors.evowise.com/gentoo/distfiles/cb/unicode-data-13.0.0-UCD.zip
Resolving mirrors.evowise.com... 104.23.132.4, 104.23.128.5, 2606:4700:11::6817:8404, ...
Connecting to mirrors.evowise.com|104.23.132.4|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-04-10 03:20:30 ERROR 404: Not Found.

>>> Downloading 'http://mirror.leaseweb.com/gentoo/distfiles/cb/unicode-data-13.0.0-UCD.zip'
--2020-04-10 03:20:30--  http://mirror.leaseweb.com/gentoo/distfiles/cb/unicode-data-13.0.0-UCD.zip
Resolving mirror.leaseweb.com... 207.244.94.80, 2604:9a00:2010:a0b8::5
Connecting to mirror.leaseweb.com|207.244.94.80|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-04-10 03:20:31 ERROR 404: Not Found.

>>> Downloading 'https://www.unicode.org/Public/zipped/13.0.0/UCD.zip'
--2020-04-10 03:20:31--  https://www.unicode.org/Public/zipped/13.0.0/UCD.zip
Resolving www.unicode.org... 216.97.88.9
Connecting to www.unicode.org|216.97.88.9|:443... failed: Connection timed out.
Retrying.

--2020-04-10 03:21:32--  (try: 2)  https://www.unicode.org/Public/zipped/13.0.0/UCD.zip
Connecting to www.unicode.org|216.97.88.9|:443... failed: Connection timed out.
Retrying.

--2020-04-10 03:22:34--  (try: 3)  https://www.unicode.org/Public/zipped/13.0.0/UCD.zip
Connecting to www.unicode.org|216.97.88.9|:443... failed: Connection timed out.
Giving up.

!!! Couldn't download 'unicode-data-13.0.0-UCD.zip'. Aborting.
 * Fetch failed for 'app-i18n/unicode-data-13.0.0', Log file:
 *  '/var/tmp/portage/app-i18n/unicode-data-13.0.0/temp/build.log'

>>> Failed to emerge app-i18n/unicode-data-13.0.0, Log file:
Back to top
View user's profile Send private message
vozhyk
n00b
n00b


Joined: 18 Nov 2018
Posts: 7
Location: Warsaw, Poland

PostPosted: Fri Apr 10, 2020 11:51 am    Post subject: Reply with quote

Upgrading gnome-music from 3.34.2 to 3.34.5 fails with:
Code:
meson.build:41:0: ERROR: Invalid version of dependency, need 'gtk+-3.0' ['>= 3.24.7'] found '3.24.5'.

I'm on the dantrell-gnome:default/linux/amd64/17.0/desktop/gnome+plasma profile.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1073

PostPosted: Fri Apr 10, 2020 6:23 pm    Post subject: Reply with quote

Clicking on the clock and trying to set a city for weather does not work here. Can anyone confirm if its working elsewhere?
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Fri Apr 10, 2020 7:31 pm    Post subject: Reply with quote

wispoffates wrote:
unicode.org seems to have fallen over does anyone have a mirror of UCD.zip or can pull it from their distfiles for me?

I added a third party mirror (i.e. the project distfiles server) for that specific package and version.

Technically 3 packages (and multiple versions) are affected by the outage but let's see how this one goes first.

Sync up and let me know.

vozhyk wrote:
Upgrading gnome-music from 3.34.2 to 3.34.5 fails with: [...]

GTK 3.24.5 was the stable version because of Nautilus issue #974 & GTK+ issue #1996.

Since a few packages want something newer, I stabilized things accordingly.

Anyone bothered about the underlying issue can downgrade as applicable until the issue is resolved.

Elleni wrote:
Clicking on the clock and trying to set a city for weather does not work here. Can anyone confirm if its working elsewhere?

Looks like this broke with GNOME Weather commit 1efc471 (which was recently reverted).

New tarballs are available so sync up and you should be good to go.
_________________
Dantrell B.
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 14

PostPosted: Fri Apr 10, 2020 8:22 pm    Post subject: Reply with quote

dantrell wrote:
wispoffates wrote:
unicode.org seems to have fallen over does anyone have a mirror of UCD.zip or can pull it from their distfiles for me?

I added a third party mirror (i.e. the project distfiles server) for that specific package and version.

Technically 3 packages (and multiple versions) are affected by the outage but let's see how this one goes first.

Sync up and let me know.
.


Awesome syncing got me past that one. media-fonts/symbola-9.17 has a similar issue but that looks to be in the gentoo repo I'll hunt for that one.

EDIT:
Found symbola on another mirror so going now
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1073

PostPosted: Fri Apr 10, 2020 8:40 pm    Post subject: Reply with quote

jasrn wrote:
I've run into this too on Xorg with nvidia (Just on gnome in general, not specific to this overlay). The only way I've managed to resolve it is by logging in and correctly configuring my monitors, then copying that config to GDM (only had to do it once per install)

dantrell wrote:
I didn't even think to do it this way since other operating systems had the same issue and solving it on the hardware level before the software level seemed apt.

The more solutions the better though. :wink:


Took the lazy aproach too, and can confirm it worked. Thanks to you two :)

The gnome-clock/weather issue is still there after re-syncing and updating :twisted:
Back to top
View user's profile Send private message
vozhyk
n00b
n00b


Joined: 18 Nov 2018
Posts: 7
Location: Warsaw, Poland

PostPosted: Fri Apr 10, 2020 8:47 pm    Post subject: Reply with quote

dantrell wrote:
GTK 3.24.5 was the stable version because of Nautilus issue #974 & GTK+ issue #1996.

Since a few packages want something newer, I stabilized things accordingly.

Anyone bothered about the underlying issue can downgrade as applicable until the issue is resolved.

Thanks, now it compiles. Now I can reproduce that issue, but that doesn't break anything functionally, so I can live with it.
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Fri Apr 10, 2020 9:15 pm    Post subject: Reply with quote

Elleni wrote:
The gnome-clock/weather issue is still there after re-syncing and updating :twisted:

Do you remember when it was last working? :twisted:
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1073

PostPosted: Fri Apr 10, 2020 9:53 pm    Post subject: Reply with quote

Thats a good question and honestly - no. :wink: I do not even know, how long this feature is there. I was using an extension for that (that still works).
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 14

PostPosted: Fri Apr 10, 2020 11:19 pm    Post subject: Reply with quote

got gnome-base/gnome-3.36.0 installed.

Took some manipulating.

musicbrainz needed a patch from bugzila to compile
grilo and grilo-plugins needed forced unmasked
dino wanted a very specific version of libsignal

net-im/dino-0.1.0.20200313::dantrell-gnome
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:164 (message):
Could NOT find SignalProtocol: Found unsuitable version "2.3.3", but
required is exact version "2.3.2" (found
/usr/lib64/libsignal-protocol-c.so)

Dropped the games and todo flags
- Games didnt want to compile a few of them and I didnt care about them
- Todo wants an older version of a lib from evolution. Didnt need it so I dropped it.

But hey we got there.
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Sat Apr 11, 2020 2:24 am    Post subject: Reply with quote

Elleni wrote:
Thats a good question and honestly - no. :wink: I do not even know, how long this feature is there.

I'll see about testing this but maybe someone running systemd could chime in too just to help rule things out?

wispoffates wrote:
got gnome-base/gnome-3.36.0 installed.

Thanks for detailed followup. :wink:

I'll be reproducing and correcting these issues as time permits.

wispoffates wrote:
musicbrainz needed a patch from bugzila to compile

Can you link me to this patch though?

wispoffates wrote:
grilo and grilo-plugins needed forced unmasked

That said, this one is strange.

While those packages are keyword masked, the project overlays often use keyword masks as one method to obtain more fine grained control over which GNOME release version gets what.

For GNOME 3.36, the latest versions are still let though. I verified this by spinning up up a stage 3 tarball:

Code:
[ebuild  N    *]  media-libs/grilo-0.3.12:0.3/0::dantrell-gnome
[ebuild  N    *]  media-plugins/grilo-plugins-0.3.11:0.3::dantrell-gnome

A red * in the emerge output indicates that the package is keyword masked, but obviously it will install.
_________________
Dantrell B.
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 14

PostPosted: Sat Apr 11, 2020 3:46 am    Post subject: Reply with quote

dantrell wrote:
Can you link me to this patch though?

Absolutely! https://bugs.gentoo.org/698090

dantrell wrote:

wispoffates wrote:
grilo and grilo-plugins needed forced unmasked

That said, this one is strange.
While those packages are keyword masked, the project overlays often use keyword masks as one method to obtain more fine grained control over which GNOME release version gets what.


Hmmm. I've had this install a long time and have done strange things to it so maybe its a mistake on my end? Mine had the 0.3.9 version installed and wasn't forcing the install.
One of the packages just died in the configure stage because it didn't like the version I had. I think it was gnome-music which specified >=0.3.4 but configure wants >=0.3.12.
Sorry I should have taken better notes.

Maybe it has to do with being an oddone and keeping systemd so I'm using the plasma+gnome profile?

Thanks for you hardwork on this![/code]

Code:

 troy  gentoo  ~  Downloads  $  eix grilo
[I] media-libs/grilo
     Available versions: 
     (0.2)  0.2.14(0.2/1)^t[1] 0.2.15(0.2/1)^t[1]
     (0.3)  0.3.6-r1(0.3/0)^t[1] (~)0.3.7-r1(0.3/0)[1] (~)0.3.8-r1(0.3/0)[1] (~)0.3.9-r1(0.3/0)^t[1] **0.3.10-r1(0.3/0)^t[1] [M]0.3.11(0.3/0)^t **0.3.11(0.3/0)^t[1] [M](~)0.3.12(0.3/0)^t (**)0.3.12(0.3/0)^t[1]
       {examples gtk gtk-doc +introspection +network (+)playlist test vala}
     Installed versions:  0.3.12(0.3/0)^t[1](06:58:59 PM 04/10/2020)(gtk introspection network playlist -gtk-doc -test -vala)
     Homepage:            https://wiki.gnome.org/Projects/Grilo
     Description:         A framework for easy media discovery and browsing

[I] media-plugins/grilo-plugins
     Available versions: 
     (0.2)  0.2.15^t[1] 0.2.17^t[1]
     (0.3)  0.3.7^t[1] (~)0.3.8^t[1] [M]0.3.9^t (~)0.3.9^t[1] **0.3.10-r1^t[1] [M](~)0.3.11^t (**)0.3.11^t[1]
       {chromaprint daap dvd examples flickr freebox gnome-online-accounts lua subtitles test thetvdb tracker upnp-av vimeo +youtube}
     Installed versions:  0.3.11(0.3)^t[1](07:03:30 PM 04/10/2020)(gnome-online-accounts tracker youtube -chromaprint -daap -flickr -freebox -lua -test -thetvdb -upnp-av)
     Homepage:            https://wiki.gnome.org/Projects/Grilo
     Description:         A collection of plugins for the Grilo framework

[1] "dantrell-gnome" /var/lib/layman/dantrell-gnome

gentoo ~ # equery d media-libs/grilo
 * These packages depend on media-libs/grilo:
gnome-base/gnome-control-center-3.36.1 (flickr ? >=media-libs/grilo-0.3.0:0.3)
media-gfx/gnome-photos-3.34.1 (>=media-libs/grilo-0.3.5:0.3)
media-plugins/grilo-plugins-0.3.11 (>=media-libs/grilo-0.3.10:0.3[network,playlist])
media-sound/gnome-music-3.36.1 (>=media-libs/grilo-0.3.4:0.3[introspection])
media-video/totem-3.34.1 (>=media-libs/grilo-0.3.0:0.3[playlist])
net-misc/gnome-online-miners-3.34.0 (media-libs/grilo:0.3)

Back to top
View user's profile Send private message
jasrn
n00b
n00b


Joined: 12 Mar 2020
Posts: 34

PostPosted: Sat Apr 11, 2020 6:29 pm    Post subject: Reply with quote

I can confirm that the weather portion of clock has been not setting a default for at least 2 weeks under systemd. It may have been before that, but that's when I noticed it as I removed my normal weather extension to debug an unrelated shell issue
Back to top
View user's profile Send private message
jasrn
n00b
n00b


Joined: 12 Mar 2020
Posts: 34

PostPosted: Sat Apr 11, 2020 6:31 pm    Post subject: Reply with quote

However, a followup - after syncing up the latest changes it looks like it does! So I think something in the last changeset fixed it for systemd at least
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Sun Apr 12, 2020 11:51 pm    Post subject: Reply with quote

jasrn wrote:
However, a followup - after syncing up the latest changes it looks like it does! So I think something in the last changeset fixed it for systemd at least

Thanks for checking.

If systemd works then this could be related to app-admin/openrc-settingsd or sys-auth/elogind. Then again maybe it's just a per-user circumstantial issue with GNOME Weather.

It's a bit hard to tell (and given my workload, it's kind of a low priority issue).

But, if I figure it out I'll let everyone know. :twisted:
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1073

PostPosted: Mon Apr 13, 2020 9:46 am    Post subject: Reply with quote

jasrn wrote:
Then again maybe it's just a per-user circumstantial issue with GNOME Weather.

It's a bit hard to tell (and given my workload, it's kind of a low priority issue).

But, if I figure it out I'll let everyone know. :twisted:


Thanks for reminding me to check the obvious and sorry I didn't think of it myself. It indeed works with another user account. Do you have a hint, on which folder(s) in the affected userhome to remove to re-establish normal behaviour?

Absoluteley understandable @low prio. :)


Last edited by Elleni on Sun Apr 26, 2020 7:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
jasrn
n00b
n00b


Joined: 12 Mar 2020
Posts: 34

PostPosted: Tue Apr 14, 2020 7:53 pm    Post subject: Reply with quote

@elleni

I think this information's (probably) stored in the user dconf database at ~/.config/dconf/user - but that contains a lot of other info too.

You can probably use gsettings to clear out the data for just weather, and that might help. Looking at the source, it looks like the schema is called org.gnome.Weather, so mayne

Code:

gsettings reset-recursively org.gnome.Weather


I'm not 100% sure though so I can't promise it won't make things worse or that it will fix it!

https://github.com/GNOME/gnome-weather/blob/mainline/data/org.gnome.Weather.gschema.xml
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1073

PostPosted: Tue Apr 14, 2020 10:22 pm    Post subject: Reply with quote

Thanks a lot. That fixed it :D
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 711
Location: Earth

PostPosted: Wed Apr 15, 2020 7:18 pm    Post subject: Reply with quote

jasrn wrote:
I think this information's (probably) stored in the user dconf database at ~/.config/dconf/user - but that contains a lot of other info too.

You can probably use gsettings to clear out the data for just weather, and that might help. Looking at the source, it looks like the schema is called org.gnome.Weather, so mayne [...]

Nice.

I was going to suggest visually comparing org.gnome.Weather for the non-working and working user accounts since I had no idea about the "reset-recursively" command (and in fact forgot about gsettings since I haven't really used it in like couple decades). :lol:
_________________
Dantrell B.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 16, 17, 18, 19, 20  Next
Page 17 of 20

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum